Bug 431236 - Error Updating after fresh install of Fedora Core 8
Error Updating after fresh install of Fedora Core 8
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 12:19 EST by SG-Austin
Modified: 2008-05-28 15:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description SG-Austin 2008-02-01 12:19:35 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Installed fresh Fedora Core 8 from DVD, with no additional components, no Dev,
no Office, no web server
2. Had issue with Volari display driver so changed grub load to remove rhgb
quiet in run level 3
3. Started X
4. The very first time the system prompted for updates, it was not able to
update with the error
  
Actual results:
raceback (most recent call last):
  File "/usr/sbin/pup", line 614, in <module>
    main()
  File "/usr/sbin/pup", line 606, in main
    pup = PackageUpdater(not options.autoapply, options.config)
  File "/usr/sbin/pup", line 85, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 129, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 113, in
doConfigSetup
    errorlevel=errorlevel)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 159, in _getConfig
    self._conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 613, in readMainConfig
    yumvars['releasever'] = _getsysver(startupconf.installroot,
startupconf.distroverpkg)
  File "/usr/lib/python2.5/site-packages/yum/config.py", line 680, in _getsysver
    idx = ts.dbMatch('provides', distroverpkg)
TypeError: rpmdb open failed

Local variables in innermost frame:
installroot: /
ts: <rpmUtils.transaction.TransactionWrapper instance at 0x87d8dac>
distroverpkg: redhat-release


Expected results:
Should have started to reach out to download and install updates as it normally
does.

Additional info:
Comment 1 Nicolas Large 2008-04-24 04:01:23 EDT
I've the same problem and I've tried to rebuilt rpmdb using "rpm --rebuilddb".
I've got the following : 

rpmdb: PANIC: fatal region error detected; run recovery
erreur: erreur db4(-30977) de dbenv->open: DB_RUNRECOVERY: Fatal error, run
database recovery
erreur: ne peut ouvrir l'index Packages en utilisant db3 -  (-30977)
Comment 2 Nicolas Large 2008-04-24 04:06:26 EDT
Finally I've just found a solution to fix this bug : 
doing : 

rm /var/lib/rpm/__db*
rpm --rebuilddb

I was able to fix this error. I don't know why or how it happened but it works.

Note You need to log in before you can comment on or make changes to this bug.